# CHashTableSlotT< Titem_ > Struct Template Reference

## Public Types
typedef Titem_::Key | Key
## Public Member Functions
FORCEINLINE void | Clear ()
| hash table slot helper - clears the slot by simple forgetting its items
FORCEINLINE const Titem_ * | Find (const Key &key) const
| hash table slot helper - linear search for item with given key through the given blob - const version
FORCEINLINE Titem_ * | Find (const Key &key)
| hash table slot helper - linear search for item with given key through the given blob - non-const version
FORCEINLINE void | Attach (Titem_ &new_item)
| hash table slot helper - add new item to the slot
FORCEINLINE bool | Detach (Titem_ &item_to_remove)
| hash table slot helper - remove item from a slot
FORCEINLINE Titem_ * | Detach (const Key &key)
| hash table slot helper - remove and return item from a slot
## Data Fields
Titem_ * | m_pFirst

## Detailed Description

### template<class Titem_>
struct CHashTableSlotT< Titem_ >

Definition at line 16 of file hashtable.hpp.

The documentation for this struct was generated from the following file:

- src/misc/hashtable.hpp